package com.jasamedika.medifirst2000.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;

import com.jasamedika.medifirst2000.dao.ObatGenerikDao;
import com.jasamedika.medifirst2000.dao.PengkajianAwalPasienRawatJalanAnakDao;
import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.PengkajianAwalRawatJalanAnakService;
import com.jasamedika.medifirst2000.vo.PasienVO;

@Service("pengkajianAwalPasienRawatJalanAnakService")
public class PengkajianAwalPasienRawatJalanAnakServiceImpl <T> implements PengkajianAwalRawatJalanAnakService{
	
	@Autowired
	private PengkajianAwalPasienRawatJalanAnakDao pengkajianAwalPasienRawatJalanAnakDao;

	@Override
	public PasienVO add(PasienVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public PasienVO update(PasienVO vo) throws JpaSystemException, ServiceVOException {
		return null;
	}

	@Override
	public Boolean delete(Integer key) throws JpaSystemException {
		return null;
	}

	@Override
	public PasienVO findById(Integer key) throws JpaSystemException {
		return null;
	}

	@Override
	public List<PasienVO> findAll() throws JpaSystemException {
		return null;
	}

	@Override
	public Map<String, Object> findAllWithPageAndLimitAndSortByAndDirectionParameter(Integer page, Integer limit,
			String sort, String dir) {
		return null;
	}

	

	@Override
	public List<Object[]> findPasien(String noCm) {
//		List<Object[]> list = pengkajianAwalPasienRawatJalanAnakDao.findPasien(noCm);
//		return list;
		return null;
	}

	@Override
	public List<Object[]> findPengkajianAwalPasien(String noCm) {
		return null;
	}

}
